| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::Capsule Class Reference

`#include <OgreCapsule.h>`

## Public Member Functions
| Capsule ()
| Capsule (const Segment &, Real)
bool | intersects (const Capsule &) const
bool | intersects (const Segment &) const
void | set (const Vector3 &newOrigin, const Vector3 &newEnd, Real newRadius)
void | setEndPoint (const Vector3 &newEndpoint)
void | setOrigin (const Vector3 &newOrigin)
void | setRadius (Real newRadius)

## Public Attributes
Real | mRadius
Segment | mSegment

## Constructor & Destructor Documentation

## ◆ Capsule() [1/2]

Ogre::Capsule::Capsule | ( |  | ) |

## ◆ Capsule() [2/2]

Ogre::Capsule::Capsule | ( | const Segment & | ,
|  | Real |
| ) |  |

## Member Function Documentation

## ◆ set()

void Ogre::Capsule::set | ( | const Vector3 & | newOrigin,
|  | const Vector3 & | newEnd,
|  | Real | newRadius
| ) |  |

## ◆ setOrigin()

void Ogre::Capsule::setOrigin | ( | const Vector3 & | newOrigin | ) |

## ◆ setEndPoint()

void Ogre::Capsule::setEndPoint | ( | const Vector3 & | newEndpoint | ) |

## ◆ setRadius()

void Ogre::Capsule::setRadius | ( | Real | newRadius | ) |

## ◆ intersects() [1/2]

bool Ogre::Capsule::intersects | ( | const Capsule & |  | ) | const

## ◆ intersects() [2/2]

bool Ogre::Capsule::intersects | ( | const Segment & |  | ) | const

## Member Data Documentation

## ◆ mSegment

Segment Ogre::Capsule::mSegment

## ◆ mRadius

Real Ogre::Capsule::mRadius

The documentation for this class was generated from the following file:

- OgreCapsule.h